[ Maverik Level 1 functions ]

#

mav_windowNew

## Summary

Create a new window.

## Syntax

MAV_window *mav_windowNew(int x, int y, int w, int h, char *name, char *disp);

- int x
  Left position of window in pixels.

- int y
  Top position of window in pixels.

- int w
  Width of window in pixels.

- int h
  Height of window in pixels.

- char *name
  Name of window.

- char *disp
  Name of X display on which to open window.

## Description

This function creates a new window, returning a handle to it. The window is opened on the X display specified by `disp` (if set to `NULL`, then the display defined by the `DISPLAY` environment variable is used). The position of the top left corner of the window is given by (`x`, `y`), where the top left coordinates of the display screen are (0,0). The width and height of the window, in pixels, are respectively `w` and `h`. If the window manager permits, the title bar of the window will be labelled `name`.

Back to the index page.